Subject: Trainer Candidate - Jasdeep Singh
From: Jasdeep Singh <[email-masked]>
To: [email-masked], [email-masked], [email-masked], [email-masked]
Date: Wed, 21 Jul 2021 04:07:27 -0400

| | Tech Support Test

Name | Jasdeep Singh
E-mail | [email-masked]
Phone Number | (+91) 7838116196
Do you have your own transportation (2 or 4 wheeler) or are you able to commute to office without using Metro? Our office is located in Noida Sector 2, near Noida - Sector 15 Metro Station | I can commute only using Metro
Where do you currently live (area) | Hari Nagar

Please give us details of your last 3 employments including current. If you've not worked in 3 companies, please enter NA

| Name of Company | Designation | Last working day | Monthly Salary (inhand)
Current Employer | N/A | N/A | N/A | N/A
Previous Employer 1 | JKG International school | German Language Teacher | 28/Feb/2021 | 20k
Previous Employer 2 | Amazon | Catalogue Quality Associate | 30/Nov/2019 | 45k

If Selected, how much time do you need to join? | I can join Immediately

Please briefly describe your work experience specifically in training?

I have experience in managing catalogue, specially in defect reduction for example; Improving the quality language mentioned on the display page as well as any related issue from the product itself whether it is barcode or price.

And an year of teaching German language at a school.

Have you worked as a trainer in a Call Center/Customer Service/BPO Environment? | No

Please tell us below in 300 - 500 words about the most difficult situation you faced either while training or managing a team.

As I have been never managed a whole team but being a Senior I did a small part of it, I have came accross several critical issues.
The most difficult one I have ever faced is one with the Brand's Agreement in which they select their yearly services provided by us.
There was one case where the agreement got messed up due to its price and the agreement type mistake, which got escalated to the higher ups. The matter was critical enough to loose our customer but somehow we the brand specialists managed to convince them, however at a cost of course.

What according to you is the difference between good and great customer service. (Explain in 4 - 6 sentences) | Conceptually, the main difference between providing “good” customer service and delivering “great” customer service is that, in the former, you are probably only barely keeping your customers satisfied; while in the latter, you are not only keeping them satisfied – you are also keeping them loyal! This is a very important distinction – and one that many services providers do not always “get”.
What according to you makes you a good candidate for this position? | I would say, this requires 3 important qualities: professionalism, patience, and a “people-first” attitude. And I have all three of them.
On a scale of 1 - 5 please rate your fluency in spoken English | 5

| |